org.jgrapht.generate

## Class WeightedGraphGenerator<V,E>

- java.lang.Object
- - org.jgrapht.generate.WeightedGraphGenerator<V,E>

- All Implemented Interfaces:
    GraphGenerator<V,E,V>

      public abstract class WeightedGraphGenerator<V,E>
      extends Object
      implements GraphGenerator<V,E,V>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Class<? extends E>` | `edgeClass`
    `protected EdgeFactory<V,E>` | `edgeFactory`
    `protected double[][]` | `weights`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeightedGraphGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WeightedGraphGenerator<V,E>` | `edgeClass(Class<? extends E> edgeClass)`
    `WeightedGraphGenerator<V,E>` | `edgeFactory(EdgeFactory<V,E> edgeFactory)`
    `WeightedGraphGenerator<V,E>` | `weights(double[][] weights)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jgrapht.generate.GraphGenerator

      `generateGraph`

- - ### Field Detail

    - #### edgeClass

          protected Class<? extends E> edgeClass

    - #### edgeFactory

          protected EdgeFactory<V,E> edgeFactory

    - #### weights

          protected double[][] weights

  - ### Constructor Detail

    - #### WeightedGraphGenerator

          public WeightedGraphGenerator()

  - ### Method Detail

    - #### edgeFactory

          public WeightedGraphGenerator<V,E> edgeFactory(EdgeFactory<V,E> edgeFactory)

    - #### edgeClass

          public WeightedGraphGenerator<V,E> edgeClass(Class<? extends E> edgeClass)

    - #### weights

          public WeightedGraphGenerator<V,E> weights(double[][] weights)

Copyright © 2016. All rights reserved.